Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.xds.metadata
Interface FolderType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  FolderTypeImpl

    public interface FolderType

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Folder Type'. This represents the Folder metadata for a submission.

See Also:
  IHE Technical Framework

  The following features are supported:

  - {@link org.eclipse.ohf.ihe.xds.metadata.FolderType#getAssociatedDocuments Associated Documents}
  - {@link org.eclipse.ohf.ihe.xds.metadata.FolderType#getAvailabilityStatus Availability Status}
  - {@link org.eclipse.ohf.ihe.xds.metadata.FolderType#getCode Code}
  - {@link org.eclipse.ohf.ihe.xds.metadata.FolderType#getComments Comments}
  - {@link org.eclipse.ohf.ihe.xds.metadata.FolderType#getEntryUUID Entry UUID}
  - {@link org.eclipse.ohf.ihe.xds.metadata.FolderType#getLastUpdateTime Last Update Time}
  - {@link org.eclipse.ohf.ihe.xds.metadata.FolderType#getPatientId Patient Id}
  - {@link org.eclipse.ohf.ihe.xds.metadata.FolderType#getTitle Title}
  - {@link org.eclipse.ohf.ihe.xds.metadata.FolderType#getUniqueId Unique Id}
  - {@link org.eclipse.ohf.ihe.xds.metadata.FolderType#isExisting Existing}
  , `MetadataPackage.getFolderType()`

Method Summary
`org.eclipse.emf.common.util.EList` | `getAssociatedDocuments()` Returns the value of the 'Associated Documents' attribute list.
`AvailabilityStatusType` | `getAvailabilityStatus()` Returns the value of the 'Availability Status' attribute.
`org.eclipse.emf.common.util.EList` | `getCode()` Returns the value of the 'Code' containment reference list.
`InternationalStringType` | `getComments()` Returns the value of the 'Comments' containment reference.
`java.lang.String` | `getEntryUUID()` Returns the value of the 'Entry UUID' attribute.
`java.lang.String` | `getLastUpdateTime()` Returns the value of the 'Last Update Time' attribute.
`CX` | `getPatientId()` Returns the value of the 'Patient Id' containment reference.
`InternationalStringType` | `getTitle()` Returns the value of the 'Title' containment reference.
`java.lang.String` | `getUniqueId()` Returns the value of the 'Unique Id' attribute.
`boolean` | `isExisting()` Returns the value of the 'Existing' attribute.
`boolean` | `isSetAvailabilityStatus()` Returns whether the value of the '`Availability Status`' attribute is set.
`boolean` | `isSetExisting()` Returns whether the value of the '`Existing`' attribute is set.
`void` | `setAvailabilityStatus(AvailabilityStatusType value)` Sets the value of the '`Availability Status`' attribute.
`void` | `setComments(InternationalStringType value)` Sets the value of the '`Comments`' containment reference.
`void` | `setEntryUUID(java.lang.String value)` Sets the value of the '`Entry UUID`' attribute.
`void` | `setExisting(boolean value)` Sets the value of the '`Existing`' attribute.
`void` | `setLastUpdateTime(java.lang.String value)` Sets the value of the '`Last Update Time`' attribute.
`void` | `setPatientId(CX value)` Sets the value of the '`Patient Id`' containment reference.
`void` | `setTitle(InternationalStringType value)` Sets the value of the '`Title`' containment reference.
`void` | `setUniqueId(java.lang.String value)` Sets the value of the '`Unique Id`' attribute.
`void` | `unsetAvailabilityStatus()` Unsets the value of the '`Availability Status`' attribute.
`void` | `unsetExisting()` Unsets the value of the '`Existing`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getAssociatedDocuments

    org.eclipse.emf.common.util.EList getAssociatedDocuments()

  Returns the value of the 'Associated Documents' attribute list. The list contents are of type `String`.

  Gets the list of document entries (indicated by their entryUUID) that belong to this folder.

  Returns:
    the value of the 'Associated Documents' attribute list.
  See Also:
    `MetadataPackage.getFolderType_AssociatedDocuments()`

### getAvailabilityStatus

    AvailabilityStatusType getAvailabilityStatus()

  Returns the value of the 'Availability Status' attribute. The default value is `"Submitted"`. The literals are from the enumeration `AvailabilityStatusType`.

  Returns:
    the value of the 'Availability Status' attribute.
  See Also:
    `AvailabilityStatusType`, `isSetAvailabilityStatus()`, `unsetAvailabilityStatus()`, `setAvailabilityStatus(AvailabilityStatusType)`, `MetadataPackage.getFolderType_AvailabilityStatus()`

### setAvailabilityStatus

    void setAvailabilityStatus(AvailabilityStatusType value)

  Sets the value of the '`Availability Status`' attribute.

  Parameters:
    `value` - the new value of the 'Availability Status' attribute.
  See Also:
    `AvailabilityStatusType`, `isSetAvailabilityStatus()`, `unsetAvailabilityStatus()`, `getAvailabilityStatus()`

### unsetAvailabilityStatus

    void unsetAvailabilityStatus()

  Unsets the value of the '`Availability Status`' attribute.

  See Also:
    `isSetAvailabilityStatus()`, `getAvailabilityStatus()`, `setAvailabilityStatus(AvailabilityStatusType)`

### isSetAvailabilityStatus

    boolean isSetAvailabilityStatus()

  Returns whether the value of the '`Availability Status`' attribute is set.

  Returns:
    whether the value of the 'Availability Status' attribute is set.
  See Also:
    `unsetAvailabilityStatus()`, `getAvailabilityStatus()`, `setAvailabilityStatus(AvailabilityStatusType)`

### getCode

    org.eclipse.emf.common.util.EList getCode()

  Returns the value of the 'Code' containment reference list. The list contents are of type `CodedMetadataType`.

  Gets the list of codes, one describing each document, associated with the folder.

  Returns:
    the value of the 'Code' containment reference list.
  See Also:
    `MetadataPackage.getFolderType_Code()`

### getComments

    InternationalStringType getComments()

  Returns the value of the 'Comments' containment reference.

  If the meaning of the 'Comments' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Comments' containment reference.
  See Also:
    `setComments(InternationalStringType)`, `MetadataPackage.getFolderType_Comments()`

### setComments

    void setComments(InternationalStringType value)

  Sets the value of the '`Comments`' containment reference.

  Gets the comments related to this folder.

  Parameters:
    `value` - the new value of the 'Comments' containment reference.
  See Also:
    `getComments()`

### getEntryUUID

    java.lang.String getEntryUUID()

  Returns the value of the 'Entry UUID' attribute.

  Gets the entryUUID of the folder. The entryUUID is an internal id used to link the folder with its related documents and to its submission set.

  Returns:
    the value of the 'Entry UUID' attribute.
  See Also:
    `setEntryUUID(String)`, `MetadataPackage.getFolderType_EntryUUID()`

### setEntryUUID

    void setEntryUUID(java.lang.String value)

  Sets the value of the '`Entry UUID`' attribute.

  Parameters:
    `value` - the new value of the 'Entry UUID' attribute.
  See Also:
    `getEntryUUID()`

### getLastUpdateTime

    java.lang.String getLastUpdateTime()

  Returns the value of the 'Last Update Time' attribute.

  Gets the time at which the contents of this folder on the registry was last updated. This time is to be in UTC, but without the timezone offset or fractional seconds: [[[[[YYYY]MM]DD]HH]mm]ss]. Thus, this time is assumed to be in GMT.

  Returns:
    the value of the 'Last Update Time' attribute.
  See Also:
    `setLastUpdateTime(String)`, `MetadataPackage.getFolderType_LastUpdateTime()`

### setLastUpdateTime

    void setLastUpdateTime(java.lang.String value)

  Sets the value of the '`Last Update Time`' attribute.

  Parameters:
    `value` - the new value of the 'Last Update Time' attribute.
  See Also:
    `getLastUpdateTime()`

### getPatientId

    CX getPatientId()

  Returns the value of the 'Patient Id' containment reference.

  Gets the shared level (global) id of the patient the folder's contents are about.

  Returns:
    the value of the 'Patient Id' containment reference.
  See Also:
    `setPatientId(CX)`, `MetadataPackage.getFolderType_PatientId()`

### setPatientId

    void setPatientId(CX value)

  Sets the value of the '`Patient Id`' containment reference.

  Parameters:
    `value` - the new value of the 'Patient Id' containment reference.
  See Also:
    `getPatientId()`

### getTitle

    InternationalStringType getTitle()

  Returns the value of the 'Title' containment reference.

  Gets the title of the folder.

  Returns:
    the value of the 'Title' containment reference.
  See Also:
    `setTitle(InternationalStringType)`, `MetadataPackage.getFolderType_Title()`

### setTitle

    void setTitle(InternationalStringType value)

  Sets the value of the '`Title`' containment reference.

  Parameters:
    `value` - the new value of the 'Title' containment reference.
  See Also:
    `getTitle()`

### getUniqueId

    java.lang.String getUniqueId()

  Returns the value of the 'Unique Id' attribute.

  Gets the Unique Id (universally unique) for the folder.

  Returns:
    the value of the 'Unique Id' attribute.
  See Also:
    `setUniqueId(String)`, `MetadataPackage.getFolderType_UniqueId()`

### setUniqueId

    void setUniqueId(java.lang.String value)

  Sets the value of the '`Unique Id`' attribute.

  Parameters:
    `value` - the new value of the 'Unique Id' attribute.
  See Also:
    `getUniqueId()`

### isExisting

    boolean isExisting()

  Returns the value of the 'Existing' attribute. The default value is `"false"`.

  Indicates whether this folder represents a folder already existing in the registry. If this is set to true, then the only other attribute of the folder that needs to be set is the entryUUID.

  Returns:
    the value of the 'Existing' attribute.
  See Also:
    `isSetExisting()`, `unsetExisting()`, `setExisting(boolean)`, `MetadataPackage.getFolderType_Existing()`

### setExisting

    void setExisting(boolean value)

  Sets the value of the '`Existing`' attribute.

  Parameters:
    `value` - the new value of the 'Existing' attribute.
  See Also:
    `isSetExisting()`, `unsetExisting()`, `isExisting()`

### unsetExisting

    void unsetExisting()

  Unsets the value of the '`Existing`' attribute.

  See Also:
    `isSetExisting()`, `isExisting()`, `setExisting(boolean)`

### isSetExisting

    boolean isSetExisting()

  Returns whether the value of the '`Existing`' attribute is set.

  Returns:
    whether the value of the 'Existing' attribute is set.
  See Also:
    `unsetExisting()`, `isExisting()`, `setExisting(boolean)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD